org.apache.ignite.internal.processors.platform

## Class PlatformAbstractBootstrap

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractBootstrap

All Implemented Interfaces:
  PlatformBootstrap

Direct Known Subclasses:
  PlatformCppBootstrap, PlatformDotNetBootstrap

    public abstract class PlatformAbstractBootstrap
    extends Object
    implements PlatformBootstrap

Base interop bootstrap implementation.

### Constructor Summary

Constructors
Constructor and Description
`PlatformAbstractBootstrap()`

### Method Summary

Methods
`protected abstract IgniteClosure<IgniteConfiguration,IgniteConfiguration>` `closure(long envPtr)` Get configuration transformer closure.
`void` `init()` Init the bootstrap.
`protected void` `processInput(PlatformInputStream input, IgniteConfiguration cfg)` Processes any additional input data.
`PlatformProcessor` `start(IgniteConfiguration cfg, GridSpringResourceContext springCtx, long envPtr, long dataPtr)` Start Ignite node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlatformAbstractBootstrap

    public PlatformAbstractBootstrap()

### Method Detail

#### start

    public PlatformProcessor start(IgniteConfiguration cfg,
                          @Nullable
                          GridSpringResourceContext springCtx,
                          long envPtr,
                          long dataPtr)

Start Ignite node.

Specified by:
  `start` in interface `PlatformBootstrap`
Parameters:
  `cfg` - Configuration.
  `springCtx` - Optional Spring resource context.
  `envPtr` - Environment pointer.
  `dataPtr` - Optional pointer to additional data required for startup.
Returns:
  Platform processor.

#### init

    public void init()

Init the bootstrap.

Specified by:
  `init` in interface `PlatformBootstrap`

#### closure

    protected abstract IgniteClosure<IgniteConfiguration,IgniteConfiguration> closure(long envPtr)

Get configuration transformer closure.

Parameters:
  `envPtr` - Environment pointer.
Returns:
  Closure.

#### processInput

    protected void processInput(PlatformInputStream input,
                    IgniteConfiguration cfg)

Processes any additional input data.

Parameters:
  `input` - Input stream.
  `cfg` - Config.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017